Nudgescribe API Reference
APIs
API types
API types
  • Authentication
  • Content
  • Campaign
APIs
API types
API types
  • Authentication
  • Content
  • Campaign
  1. Customer Groups
  • Nudgescribe API
  • Authentication
    • Authentication
    • Authenticate
      POST
    • Re-Authenticate
      GET
  • Content
    • Customers
      • Customer Management
      • Upload and Validate Customer Data
      • Get pages
      • Get Customers
      • Delete Customers
    • Customer Groups
      • Customer Groups
      • Create Customer Group
        PUT
      • Get Customer Groups
        POST
      • Update Customer Group
        PATCH
      • Delete Customer Group
        DELETE
    • Customer Profile Fields
      • Customer Profile Fields
      • Create a Custom Profile Field
      • Get Customer Profile Fields for a Workspace
      • Update Custom Fields
      • Delete Custom Fields
  • Campaigns
    • Campaign Messages Management
    • Get All Accounts Campaigns
      POST
    • Publish Messages to Secure Storage
      POST
    • Get Campaign Messages Pages
      POST
    • Retrieve Published Messages
      POST
APIs
API types
API types
  • Authentication
  • Content
  • Campaign
APIs
API types
API types
  • Authentication
  • Content
  • Campaign
  1. Customer Groups

Update Customer Group

PATCH
https://client-api.nudgescribe.com/v1/cg
ContentCustomer GroupsCustomer GroupUpdate
Updates the name and properties of an existing customer group while preserving all customer assignments and historical data associated with the group.
Allows your application to evolve group names and properties as business needs change, maintaining flexibility in your customer segmentation strategy.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Body Params application/json

Examples

Responses

🟢200Success
application/json
Body

🟠400Bad Request
🔴500Server Error
🟠403Unauthorised
🟠401Missing Fields
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PATCH 'https://client-api.nudgescribe.com/v1/cg' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
  "workspace_id": "your-workspace-id",
  "customer_group_id": "your-customer-group-id",
  "group_name": "Premium VIP Customers"
}'
Response Response Example
200 - Example 1
{
    "customer_group_id": "string",
    "account_id": "string",
    "workspace_id": "string",
    "group_name": "string",
    "created_at": "string",
    "updated_at": "string",
    "created_by": "string",
    "updated_by": "string"
}
Modified at 2026-01-29 13:09:11
Previous
Get Customer Groups
Next
Delete Customer Group
Built with